Retrieve all RICAL signers
Roles
Analytics Events
/v1/ecosystems/certificates/rical-signersRetrieves all RICAL signers.
Analytic events
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_START
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/certificates/rical-signers"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" } } ], "nextCursor": "string"}How would you rate this page?
Create a RICAL signer POST
Creates a RICAL signer. - Only available in implementations using unmanaged (external) DTS root CA certificates. - A maximum of five RICAL signers can be created per tenant. Provide either `caId` or `intermediateCaId`. ### **Analytic events** * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_CREATE_START * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_CREATE_SUCCESS * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_CREATE_FAIL
Retrieve a RICAL signer GET
Retrieves a RICAL signer. ### **Analytic events** * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL